OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class ParameterMap

    java.lang.Object
      org.opennms.netmgt.utils.ParameterMap

public class ParameterMap
extends java.lang.Object

Convenience class for looking up string and integer values in a parameter map.

Constructor Summary
`ParameterMap()`

Method Summary
`static int` `getKeyedInteger(java.util.Map map, java.lang.String key, int defValue)` This method is used to lookup a specific key in the map.
`static int[]` `getKeyedIntegerArray(java.util.Map map, java.lang.String key, int[] defValues)` This method is used to lookup a specific key in the map.
`static java.lang.String` `getKeyedString(java.util.Map map, java.lang.String key, java.lang.String defValue)` This method is used to lookup a specific key in the map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterMap

    public ParameterMap()

Method Detail

### getKeyedInteger

    public static int getKeyedInteger(java.util.Map map,
                                      java.lang.String key,
                                      int defValue)

  This method is used to lookup a specific key in the map. If the mapped value is a string it is converted to an integer and the original string value is replaced in the map. The converted value is returned to the caller. If the value cannot be converted then the default value is stored in the map. If the specified key does not exist in the map then the default value is returned.

  Returns:
    The int value associated with the key.

### getKeyedIntegerArray

    public static final int[] getKeyedIntegerArray(java.util.Map map,
                                                   java.lang.String key,
                                                   int[] defValues)

  This method is used to lookup a specific key in the map. If the mapped value is a string is is converted to an integer and the original string value is replaced in the map. The converted value is returned to the caller. If the value cannot be converted then the default value is used.

  Returns:
    The array of integer values associated with the key.

### getKeyedString

    public static java.lang.String getKeyedString(java.util.Map map,
                                                  java.lang.String key,
                                                  java.lang.String defValue)

  This method is used to lookup a specific key in the map. If the mapped value is not a String it is converted to a String and the original value is replaced in the map. The converted value is returned to the caller. If the specified key does not exist in the map then the default value is returned.

  Returns:
    The String value associated with the key.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.